> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Get websitefetch tags

> Retrieves all tags associated with the current user.



## OpenAPI

````yaml https://api.seraph.si/json get /website/fetch-tags
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/UzJjnZhe8f
  title: Seraph API
  version: '1.0'
servers:
  - url: api.seraph.si/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /website/fetch-tags:
    get:
      tags:
        - Website
        - User Tags
      description: Retrieves all tags associated with the current user.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/models.UserTags'
                type: array
          description: Successfully retrieved user tags
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Forbidden - Insufficient permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    models.UserTags:
      properties:
        api_key:
          type: string
        color:
          type: integer
        icon:
          type: string
        tag_age:
          type: number
        tag_name:
          type: string
        tag_options:
          items:
            $ref: '#/components/schemas/models.UserTags'
          type: array
          uniqueItems: false
        text:
          type: string
        textColor:
          type: integer
        tooltip:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````